## NAME

CURLOPT_HEADER - pass headers to the data stream

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_HEADER, long onoff);

## DESCRIPTION

Pass in onoff set to 1 to tell the library to include the header in the body output for requests with this handle. This option is relevant for protocols that actually have headers or other meta-data (like HTTP and FTP).

When asking to get the header info passed to the same callback as the body, it is not possible to accurately separate them again without detailed knowledge about the protocol in use.

It is often better to use CURLOPT_HEADERFUNCTION to get the header data separately.

## DEFAULT

0

## RETURN VALUE

Returns CURLE_OK.

## SEE ALSO

CURLOPT_HEADERFUNCTION

This HTML page was made with roffit.